当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]对于ubuntu的hal问题我是没有办法了,求高手帮忙了!!!(已解决)
帖子发表于 : 2007-10-26 22:50 

注册: 2007-06-29 23:06
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
我的电脑开机时一直出现 failed to initialized hal! 的内部错误。插上U 盘后无法识别,关机的时候没有休眠的能。而且装软件的时候一直出现如下错误:
正在设置 hal (0.5.9.1-6ubuntu5) ...
* Reloading system message bus config... [ OK ]
* Starting Hardware abstraction layer hald invoke-rc.d: initscript hal, action "start" failed.
dpkg:处理 hal (--configure)时出错:
子进程 post-installation script 返回了错误号 1
dpkg:依赖关系问题使得 hal-cups-utils 的配置工作不能继续:
hal-cups-utils 依赖于 hal;然而:
软件包 hal 还没有被配置。
dpkg:处理 hal-cups-utils (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 hal-device-manager 的配置工作不能继续:
hal-device-manager 依赖于 hal;然而:
软件包 hal 还没有被配置。
dpkg:处理 hal-device-manager (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 sound-juicer 的配置工作不能继续:
sound-juicer 依赖于 hal;然而:
软件包 hal 还没有被配置。
dpkg:处理 sound-juicer (--configure)时出错:
依赖关系问题 - 仍未被配置

在处理时有错误发生:
hal
hal-cups-utils
hal-device-manager
sound-juicer
E: Sub-process /usr/bin/dpkg returned an error code (1)



被这个问题困扰了很久了,原来用7.04的时候可以将hal 的版本强制到0.5.8.1,在7.10中没有办法强制回到原来的版本了。在论坛里逛了这么久也没有找到解决的方法,发了好些的帖子也没有有效的方法。求高手帮我参谋一下啊!!
小弟在此谢过了!


最后由 iceknight 编辑于 2007-10-27 16:40,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-10-27 16:39 

注册: 2007-06-29 23:06
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
人品终于爆发了,哈哈,我的问题解决了
具体方法如下:在终端里面运行命令 mv /var/cache/hald/fdi-cache~ /var/cache/hald/fdi-cache
然后重启就OK了!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-09 16:40 
头像

注册: 2007-09-20 20:54
帖子: 7
地址: csu
送出感谢: 0 次
接收感谢: 0 次
我的是个历史遗留问题了,7.04就出现了,升到7.10以后还是有同样的问题,但我的软件还是能装的,试了强制HAL,结果搞到重装GNOME,后来找到了 sudo /etc/init.d/dbus restart,就是每次开机都要打命令,麻烦,但还算稳妥,楼主的方法有点不敢用,万一删了个重要文件什么的不能启动就麻烦了,希望官方能在更新里解决


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-12-09 20:55 

注册: 2007-10-28 23:35
帖子: 821
送出感谢: 0 次
接收感谢: 0 次
恭喜 可以给别的朋友以参考


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-12-10 12:22 
头像

注册: 2007-09-20 20:54
帖子: 7
地址: csu
送出感谢: 0 次
接收感谢: 0 次
楼主的方法在我这里不起作用阿,郁闷,都整了一两个月了,还没弄好


_________________
初从文,三年不举;后习武,校场发一矢,中鼓吏,逐之出;遂学医,有所成,自撰一良方,服之,卒。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-12-10 12:27 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
不就是hal没安装完成吗。当然u盘什么的都不对头了。/var/cache/apt/下面的2个文件,可以去掉,重新update的。但最正常的,还是设置好源,然后aptitude来自动解决问题。


_________________
● 鸣学


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-12-10 12:28 

注册: 2007-05-27 18:08
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
http://hellobmw.com/archives/install-pi ... buntu.html


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译